Subject: Problem with select()
From: [email-masked] ("Sonic Junior")

16 Aug 1997 22:03:19 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: "Sergey Okhapkin" <[email-masked]>
Original-Cc: "GNU Win 32" <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1162
Original-Sender: [email-masked]

	This is going to sound weird, but I have apps that seemed to run fine
before. But when I recompiled them (all of them), select() no longer
worked!!! It would return 0!!! Why??????
	What's wrong here??

	- SJ

----------
> From: Sergey Okhapkin <[email-masked]>
> To: 'Paul J. Metzger' <[email-masked]>
> Cc: 'gnu-win32' <[email-masked]>
> Subject: RE: GNU Win32 nonblocking I/O
> Date: Saturday, June 28, 1997 5:02 AM
> 
> Paul J. Metzger wrote:
> > Hello, gentlemen.  We've just recently started some development
> > under GNU Win32 and I'm having a problem with non-blocking I/O
> > of a console window under NT.  I looked at the mailing list archives,
> 
> Nonblocking I/O is supported now for sockets only. I'm working now on 
> redesign of tty support in cygwin.dll (including job control features).
New 
> tty subsytem will support nonblocking I/O too.
> 
> BTW, with my current (really buggy :-) cygwin.dll it is possible now to 
> start several bash sessions and run something like "ls >/dev/tty1" or
"cat 
> </dev/tty0 >/dev/tty1" :-)
> 
> --
> Sergey Okhapkin, http://www.lexa.ru/sos
> Moscow, Russia
> Looking for a job
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".